Bug 3569 - Error in ruwin_ct_sh-CP1251.kmap.gz
: Error in ruwin_ct_sh-CP1251.kmap.gz
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/console-tools)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-01-30 17:07 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-01-30 17:07:01
$ rpm -q console-tools
console-tools-0.2.3-ipl21mdk

$ sudo service keytable restart
Loading keymap: ruwin_ct_sh-CP1251 Loading 
/usr/lib/kbd/keymaps/i386/qwerty/ruwin_ct_sh-CP1251.kmap.gz
/usr/lib/kbd/keymaps/i386/qwerty/ruwin_ct_sh-CP1251.kmap.gz:5: syntax error
syntax error in map file
key bindings not changed

$ sudo rpm -V console-tools

$ zcat /usr/lib/kbd/keymaps/i386/qwerty/ruwin_ct_sh-CP1251.kmap.gz | head -n9
# This keymap is a result of a convertion done by a script.
# Cyril Slobin's <slobin@iname.com> encoding tables from
# console-tools-cyrillic-0.8 package were used.

 1 "<command line>"
 1 "<stdin>"
 68 "<stdin>"
# The keysyms in the source keymap read from ruwin_ct_sh-KOI8-R.kmap
# were written to ruwin_ct_sh-CP1251.kmap
------- Comment #1 From 2004-02-03 23:39:47 -------
New console-tools-0.2.3-ipl22mdk should fix that, please check. 
------- Comment #2 From 2004-02-09 20:11:16 -------
Fixed in 0.2.3-ipl22mdk